% sAj[V̍쐬
function createAnimation(t, q, fps, speed)

	global L alph phi;
	tdiv = t(2) - t(1);
	tskip = round(speed*1/(fps*tdiv));
	
	% rfIݒ
	video = VideoWriter('movie/movie.avi', 'Motion JPEG AVI');
	video.FrameRate = fps;
	video.Quality = 100;
	open(video);

	fig = figure('Name','Movie', 'NumberTitle','off');
	fig.Position = [100 100 640 540];
	fig.Color = [1.0 1.0 1.0];
	ax = axes(fig);
	hold(ax, 'on');

	for i = 1:tskip:length(t)
		
		x0 = q(i, 1) + L*sin(q(i, 3));
		z0 = q(i, 2) + L*cos(q(i, 3));
		
		XRW = zeros(1, 8);
		ZRW = zeros(1, 8);
		
		XRW(1) = x0 + L*sin(q(i, 3) + 0*alph);
		XRW(2) = x0 + L*sin(q(i, 3) + 1*alph);
		XRW(3) = x0 + L*sin(q(i, 3) + 2*alph);
		XRW(4) = x0 + L*sin(q(i, 3) + 3*alph);
		XRW(5) = x0 + L*sin(q(i, 3) - 1*alph);
		XRW(6) = x0 + L*sin(q(i, 3) - 2*alph);
		XRW(7) = x0 + L*sin(q(i, 3) - 3*alph);
		XRW(8) = x0 + L*sin(q(i, 3) - 4*alph);

		ZRW(1) = z0 + L*cos(q(i, 3) + 0*alph);
		ZRW(2) = z0 + L*cos(q(i, 3) + 1*alph);
		ZRW(3) = z0 + L*cos(q(i, 3) + 2*alph);
		ZRW(4) = z0 + L*cos(q(i, 3) + 3*alph);
		ZRW(5) = z0 + L*cos(q(i, 3) - 1*alph);
		ZRW(6) = z0 + L*cos(q(i, 3) - 2*alph);
		ZRW(7) = z0 + L*cos(q(i, 3) - 3*alph);
		ZRW(8) = z0 + L*cos(q(i, 3) - 4*alph);

		if i == 1
			plot0 = plot(ax, [-(x0+3)*cos(phi) (x0+3)*cos(phi)], [(x0+3)*sin(phi) -(x0+3)*sin(phi)], 'Color',[0.00 0.00 0.00], 'LineWidth',1.5);
			plot1 = plot(ax, [x0 XRW(8)], [z0 ZRW(8)], 'Color',[1.00 0.00 0.00], 'LineWidth',2.0);
			plot2 = plot(ax, [x0 XRW(1)], [z0 ZRW(1)], 'Color',[0.00 0.00 1.00], 'LineWidth',2.0);
			plot3 = plot(ax, [XRW(2) XRW(7)], [ZRW(2) ZRW(7)], 'Color',[0.00 0.00 1.00], 'LineWidth',2.0);
			plot4 = plot(ax, [XRW(3) XRW(6)], [ZRW(3) ZRW(6)], 'Color',[0.00 0.00 1.00], 'LineWidth',2.0);
			plot5 = plot(ax, [XRW(4) XRW(5)], [ZRW(4) ZRW(5)], 'Color',[0.00 0.00 1.00], 'LineWidth',2.0);

			xlabel('$$X\ \rm[m]$$', 'Interpreter','latex');
			ylabel('$$Z\ \rm[m]$$', 'Interpreter','latex');

			box(ax, 'on');
			axis(ax, 'equal');
			ax.Position = [0.15 0.15 0.8 0.7];
			ax.FontName = 'Times New Roman';
			ax.FontSize = 16;
			ax.XLabel.FontSize = 20;
			ax.YLabel.FontSize = 20;
		else
			set(plot0, 'Xdata',[-(x0+3)*cos(phi) (x0+3)*cos(phi)], 'Ydata',[(x0+3)*sin(phi) -(x0+3)*sin(phi)]);
			set(plot1, 'Xdata',[x0 XRW(8)], 'Ydata',[z0 ZRW(8)]);
			set(plot2, 'Xdata',[x0 XRW(1)], 'Ydata',[z0 ZRW(1)]);
			set(plot3, 'Xdata',[XRW(2) XRW(7)], 'Ydata',[ZRW(2) ZRW(7)]);
			set(plot4, 'Xdata',[XRW(3) XRW(6)], 'Ydata',[ZRW(3) ZRW(6)]);
			set(plot5, 'Xdata',[XRW(4) XRW(5)], 'Ydata',[ZRW(4) ZRW(5)]);
		end
		
		title(ax, sprintf('$$\\rm Time=%.5f\\ [s]$$', t(i)), 'Interpreter','latex');
		
		ax.XLim = [x0-2.0 x0+2.0];
		ax.YLim = [-x0*tan(phi)-0.6 -x0*tan(phi)+2.4];

		frame = getframe(fig);
		writeVideo(video, frame);
	end
	
	close(video);
	disp('Movie saved!');
end