% ef[^vbg
function createFigure(t, q)

	% pxvbg
	fig1 = figure('Name','Angular position', 'NumberTitle','off');
		fig1.Position = [100 100 800 350];
		fig1.Color = [1.00 1.00 1.00];
		box on;
		hold on;
		cmap = colormap('lines');
		plot([t(1) t(end)], [0 0], 'Color',[0.7 0.7 0.7], 'LineWidth', 1.0);
		plot(t, q(:, 3), 'Color',cmap(1, :), 'LineWidth', 1.5);
		xlabel('$$\rm Time\ [s]$$', 'Interpreter','latex');
		ylabel('$$\rm Angular\ position\ [rad]$$', 'Interpreter','latex');
		axis([0 15 -0.4 0.6]);
		ax1 = gca;
		ax1.Position = [0.12 0.20 0.85 0.75];
		ax1.FontName = 'Times New Roman';
		ax1.FontSize = 16;
		ax1.XLabel.FontSize = 20;
		ax1.YLabel.FontSize = 20;
		print(fig1, 'fig/AngularPosition', '-depsc', '-tiff', '-r300');
		print(fig1, 'fig/AngularPosition', '-dpng', '-r300');

	% pxvbg
	fig2 = figure('Name','Angular velocity', 'NumberTitle','off');
		fig2.Position = [150 150 800 400];
		fig2.Color = [1.00 1.00 1.00];
		box on;
		hold on;
		plot([t(1) t(end)], [0 0], 'Color',[0.7 0.7 0.7], 'LineWidth', 1.0);
		plot(t, q(:, 6), 'Color',cmap(1, :), 'LineWidth', 1.5);
		xlabel('$$\rm Time\ [s]$$', 'Interpreter','latex');
		ylabel('$$\rm Angular\ velocity\ [rad/s]$$', 'Interpreter','latex');
		axis([0 15 0.4 1.8]);
		ax2 = gca;
		ax2.Position = [0.12 0.20 0.85 0.75];
		ax2.FontName = 'Times New Roman';
		ax2.FontSize = 16;
		ax2.XLabel.FontSize = 20;
		ax2.YLabel.FontSize = 20;
		print(fig2, 'fig/AngularVelocity', '-depsc', '-tiff', '-r300');
		print(fig2, 'fig/AngularVelocity', '-dpng', '-r300');

	% ʑʐ}
	fig3 = figure('Name','Phase diagram', 'NumberTitle','off');
		fig3.Position = [200 200 600 600];
		fig3.Color = [1.00 1.00 1.00];
		box on;
		hold on;
		plot([0 0], [0.4 1.8], 'Color',[0.7 0.7 0.7], 'LineWidth', 1.0);
		plot(q(:, 3), q(:, 6), 'Color',cmap(1, :), 'LineWidth', 1.5);
		xlabel('$${\theta}_{1}\ \rm[rad]$$', 'Interpreter','latex');
		ylabel('$$\dot{\theta}_{1}\ \rm[rad/s]$$', 'Interpreter','latex');
		axis square;
		axis([-0.4 0.6 0.4 1.8]);
		ax3 = gca;
		ax3.Position = [0.14 0.14 0.80 0.80];
		ax3.FontName = 'Times New Roman';
		ax3.FontSize = 16;
		ax3.XLabel.FontSize = 20;
		ax3.YLabel.FontSize = 20;
		print(fig3, 'fig/PhaseDiagram', '-depsc', '-tiff', '-r300');
		print(fig3, 'fig/PhaseDiagram', '-dpng', '-r300');
end