% Initialize
close all;
clear variables;
clc;

% Parameters
global m L I0 alph phi g;
m = 1.0;		% 
L = 1.0;		% r̒
I0 = 1.0;		% [g
alph = pi/4;	% Ҋpx
phi = 0.1;		% XΊpx
g = 9.81;		% d͉x

q0 = [0 0 0 0 0 0.5];	% 

% Settings
maxstep = 100;	% ő
tstt = 0.0;		% V~[VJn
tend = 15.0;	% V~[VI
tdiv = 1e-5;	% ԍݕ

index = 1;
tspan = tstt:tdiv:tend;
time = zeros(length(tspan), 1);
result = zeros(length(tspan), 6);

options = odeset('Events',@detectCollision, 'RelTol',1e-12, 'AbsTol',1e-13*ones(1, 6), 'Refine',15);

% Simulation
for step = 1:maxstep
	
	[T, Q] = ode45(@rimless, tspan, q0, options);
	
	if step == 1
		
		time(index:index+length(T)-1, 1) = T;
		result(index:index+length(T)-1, :) = Q;
		index = index + length(T);
	else
		
		time(index:index+length(T)-2, 1) = T(2:end);
		result(index:index+length(T)-2, :) = Q(2:end, :);
		index = index + length(T) - 1;
	end
	
	fprintf('[Collision]: step = %3d, time: %.5f\n', step, T(end));

	if tend - fix(T(end)/tdiv)*tdiv <= tdiv

		fprintf('[SSP]: The time is limited to %.5f sec.\n\n', tend);

		time = time(1:index-1, 1);
		result = result(1:index-1, :);
		break;
	elseif step == maxstep

		fprintf('[DSP]: The step number is limited to %d step.\n\n', maxstep);

		time = time(1:index-1, 1);
		result = result(1:index-1, :);
		break;
	end
	
	tspan = T(end):tdiv:tend;
	q0 = changeLeg(Q(end, :));
end

%% Figure
createFigure(time, result);

%% Animation
fps = 30;
speed = 1.0;
createAnimation(time, result, fps, speed);